package com.ssj.service.weixin.library.dto;

import com.alibaba.fastjson.annotation.JSONField;
import org.apache.commons.lang3.StringUtils;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * @author yrf
 * @date 2019/6/11 15:38
 */
public class TeacherInfoDTO implements Serializable {

    private static final long serialVersionUID = 1264452290439940354L;

    private String tPhoto;//头像
    private String teacherName;//老师姓名
    private String school;//在读/毕业学校
    private String managerUserId;//校区管理员id
    private String managerUserName;//校区管理员名称
    private String subject;//批改科目，多个年级以逗号隔开，如：语文,数学

    @JSONField(serialize = false)
    private String gradeStr;//批改的年级，多个年级以逗号隔开，如：一年级,二年级
    private List<String> grade;

    private String phone;//手机号
    private String idNum;//身份证号
    private String idFace;//身份证正面
    private String bankId;//开户银行id
    private String bankName;//开户银行
    private String bankIcon;//开户银行
    private String bankBranch;//开户支行
    private String cardNumber;//银行卡卡号
    private String cardholder;//开户人姓名
    private int teacherLevel;//老师等级

    public String gettPhoto() {
        return tPhoto;
    }

    public void settPhoto(String tPhoto) {
        this.tPhoto = tPhoto;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getSchool() {
        return school;
    }

    public void setSchool(String school) {
        this.school = school;
    }

    public String getManagerUserId() {
        return managerUserId;
    }

    public void setManagerUserId(String managerUserId) {
        this.managerUserId = managerUserId;
    }

    public String getManagerUserName() {
        return managerUserName;
    }

    public void setManagerUserName(String managerUserName) {
        this.managerUserName = managerUserName;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getGradeStr() {
        return gradeStr;
    }

    public void setGradeStr(String gradeStr) {
        this.gradeStr = gradeStr;
    }

    public List<String> getGrade() {
        if (StringUtils.isNotBlank(gradeStr)) {
            return Arrays.asList(gradeStr.split(","));
        }
        return new ArrayList<>();
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getIdNum() {
        return idNum;
    }

    public void setIdNum(String idNum) {
        this.idNum = idNum;
    }

    public String getIdFace() {
        return idFace;
    }

    public void setIdFace(String idFace) {
        this.idFace = idFace;
    }

    public String getBankId() {
        return bankId;
    }

    public void setBankId(String bankId) {
        this.bankId = bankId;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankIcon() {
        return bankIcon;
    }

    public void setBankIcon(String bankIcon) {
        this.bankIcon = bankIcon;
    }

    public String getBankBranch() {
        return bankBranch;
    }

    public void setBankBranch(String bankBranch) {
        this.bankBranch = bankBranch;
    }

    public String getCardNumber() {
        return cardNumber;
    }

    public void setCardNumber(String cardNumber) {
        this.cardNumber = cardNumber;
    }

    public String getCardholder() {
        return cardholder;
    }

    public void setCardholder(String cardholder) {
        this.cardholder = cardholder;
    }

    public int getTeacherLevel() {
        return teacherLevel;
    }

    public void setTeacherLevel(int teacherLevel) {
        this.teacherLevel = teacherLevel;
    }
}
